Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1122223 - Review Request: nodejs-ftp - An FTP client module for node.js
Summary: Review Request: nodejs-ftp - An FTP client module for node.js
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Parag AN(पराग)
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 1122233 1122247
Blocks: nodejs-reviews 1122224
TreeView+ depends on / blocked
 
Reported: 2014-07-22 19:04 UTC by Ralph Bean
Modified: 2014-08-15 02:55 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-07-25 15:22:54 UTC
panemade: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Ralph Bean 2014-07-22 19:04:46 UTC
Spec URL: http://ralph.fedorapeople.org//nodejs-ftp.spec
SRPM URL: http://ralph.fedorapeople.org//nodejs-ftp-0.3.7-1.fc20.src.rpm

Description:
node-ftp is an FTP client module for node.js that provides an asynchronous
interface for communicating with an FTP server.

Comment 1 Parag AN(पराग) 2014-07-24 05:27:49 UTC
Review:

+ mock build is successful for f22.

+ rpmlint output on rpms gave
nodejs-ftp.noarch: W: spelling-error Summary(en_US) js -> dis, ks, j
nodejs-ftp.noarch: W: spelling-error %description -l en_US js -> dis, ks, j
nodejs-ftp.noarch: W: only-non-binary-in-usr-lib
nodejs-ftp.noarch: W: dangling-symlink /usr/lib/node_modules/ftp/node_modules/readable-stream /usr/lib/node_modules/readable-stream
nodejs-ftp.noarch: W: dangling-symlink /usr/lib/node_modules/ftp/node_modules/xregexp /usr/lib/node_modules/xregexp
nodejs-ftp.src: W: spelling-error Summary(en_US) js -> dis, ks, j
nodejs-ftp.src: W: spelling-error %description -l en_US js -> dis, ks, j
2 packages and 0 specfiles checked; 0 errors, 7 warnings.

+ Source verified with upstream as (sha256sum)
srpm tarball     :1c165802658f1a08faf74a57548655b83f83eb6ca721af7b4273fff3733023aa
upstream tarball :1c165802658f1a08faf74a57548655b83f83eb6ca721af7b4273fff3733023aa

+ License "MIT" is valid and is included in its own file as %doc

+ rest looks following packaging guidelines.

APPROVED.

Comment 2 Ralph Bean 2014-07-24 16:28:07 UTC
New Package SCM Request
=======================
Package Name: nodejs-ftp
Short Description: An FTP client module for node.js
Upstream URL: https://npmjs.org/package/ftp
Owners: ralph
Branches: f21,f20,f19,epel7
InitialCC:

Comment 3 Gwyn Ciesla 2014-07-24 18:37:20 UTC
Git done (by process-git-requests).

Comment 4 Ralph Bean 2014-07-25 15:22:54 UTC
Built in rawhide.

Comment 5 Fedora Update System 2014-07-25 16:37:50 UTC
nodejs-ftp-0.3.7-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/nodejs-ftp-0.3.7-1.fc20

Comment 6 Fedora Update System 2014-07-25 16:38:00 UTC
nodejs-ftp-0.3.7-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/nodejs-ftp-0.3.7-1.fc19

Comment 7 Ralph Bean 2014-07-25 16:40:07 UTC
Buildroot overrides have been submitted.

Comment 8 Fedora Update System 2014-08-15 02:52:33 UTC
nodejs-ftp-0.3.7-1.fc19 has been pushed to the Fedora 19 stable repository.

Comment 9 Fedora Update System 2014-08-15 02:55:23 UTC
nodejs-ftp-0.3.7-1.fc20 has been pushed to the Fedora 20 stable repository.


Note You need to log in before you can comment on or make changes to this bug.